## akonadi-calendar 18.08.1

=== debian/changelog ===
akonadi-calendar (4:18.08.1-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.2.1 (No changes needed).
  * Update symbols from buildds for 4:18.07.90
  * Follow stable releases in KDE again.
  * New upstream release (18.08.1).
  * Update build-deps and deps with the info from cmake.
  * Add akonadi_serializer_calendar to libkf5akonadicalendar5abi1
    package.

 -- Sandro Knauß <hefee@debian.org>  Tue, 02 Oct 2018 23:19:37 +0200

akonadi-calendar (4:18.07.90-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Update watch file to match unstable releases, too.
  * New upstream release (18.07.90).
  * Bump Standards-Version to 4.2.0 (No changes needed).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 18.07.90.
  * fix libkf5akonadicalendar5abi1.symbols syntax.
  * Update symbols from build for 18.07.90.
  * Make test not failing the build.
  * Update copyright file for new upstream.

 -- Sandro Knauß <hefee@debian.org>  Sat, 18 Aug 2018 11:49:48 +0200

=== debian/control ===
Source: akonadi-calendar
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.47.0~),
               libkf5akonadi-dev (>= 4:18.08.1~),
               libkf5akonadicontact-dev (>= 4:18.08.1~),
               libkf5calendarcore-dev (>= 4:18.08.1~),
               libkf5calendarutils-dev (>= 4:18.08.1~),
               libkf5codecs-dev (>= 5.47.0~),
               libkf5contacts-dev (>= 4:18.08.1~),
               libkf5dbusaddons-dev (>= 5.47.0~),
               libkf5iconthemes-dev (>= 5.47.0~),
               libkf5identitymanagement-dev (>= 18.08.1~),
               libkf5kio-dev (>= 5.47.0~),
               libkf5mailtransport-dev (>= 18.08.1~),
               libkf5wallet-dev (>= 5.47.0~),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.9.0~),
               xauth,
               xvfb,
Standards-Version: 4.2.1
Homepage: https://projects.kde.org/projects/kde/pim/akonadi-calendar
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/akonadi-calendar
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/akonadi-calendar.git

Package: libkf5akonadicalendar-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kdepim-runtime (<< 4:18.04.9), libkf5akonadicalendar5, ${kde-l10n:all}
Replaces: kdepim-runtime (<< 4:18.04.9),
          libkf5akonadicalendar5,
          ${kde-l10n:all},
Description: data files for akonadi-calendar
 This library offers helper functions to integrate the use of Akonadi calendar
 items in applications.
 .
 This package contains shared data files.

Package: libkf5akonadicalendar-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:18.08.1~),
         libkf5akonadicalendar5abi1 (= ${binary:Version}),
         libkf5akonadicontact-dev (>= 4:18.08.1~),
         libkf5calendarcore-dev (>= 4:18.08.1~),
         ${misc:Depends},
Description: akonadi-calendar - development files
 This library offers helper functions to integrate the use of Akonadi calendar
 items in applications.
 .
 This package contains the development files.
Breaks: libkf5calendarsupport-dev (<< 4:17.08),
        libkf5eventviews-dev (<< 4:17.08),
        libkf5incidenceeditor-dev (<< 17.08),

Package: libkf5akonadicalendar5abi1
X-Debian-ABI: 1
X-CMake-Target: KF5AkonadiCalendar
Architecture: any
Multi-Arch: same
Depends: libkf5akonadicalendar-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: kdepim-runtime (<< 4:18.04.9),
        kmail (<< 4:17.08),
        konsolekalendar (<< 4:17.08),
        korganizer (<< 4:17.08),
        libkf5calendarsupport5 (<< 4:17.08),
        libkf5eventviews5 (<< 4:17.08),
        libkf5incidenceeditor-bin (<< 17.08),
        libkf5incidenceeditor5 (<< 17.08),
Replaces: kdepim-runtime (<< 4:18.04.9)
Description: library providing calendar helpers for Akonadi items
 This library offers helper functions to integrate the use of Akonadi calendar
 items in applications.

=== debian/tests/control ===
# Tests: testsuite
# Depends: @, @builddeps@, build-essential,
#          dbus (>= 1.8)
# Restrictions: build-needed

Tests: acc
Depends: @, dh-acc, exuberant-ctags
Restrictions: allow-stderr

## akonadi-calendar 18.08.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

set(PIM_VERSION "5.9.3")
project(Akonadi-Calendar  VERSION ${PIM_VERSION})

# ECM setup
set(KF5_VERSION "5.47.0")
find_package(ECM ${KF5_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(GenerateExportHeader)
include(ECMGenerateHeaders)
include(ECMGeneratePriFile)
include(CMakePackageConfigHelpers)
include(ECMSetupVersion)
include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(ECMQtDeclareLoggingCategory)
include(ECMCoverageOption)


set(AKONADICALENDAR_LIB_VERSION ${PIM_VERSION})
set(CALENDARCORE_LIB_VERSION "5.9.3")
set(AKONADICONTACT_LIB_VERSION "5.9.3")
set(AKONADI_LIB_VERSION "5.9.3")
set(MAILTRANSPORT_LIB_VERSION "5.9.3")
set(KCONTACTS_LIB_VERSION "5.9.3")
set(CALENDARUTILS_LIB_VERSION "5.9.3")
set(IDENTITYMANAGEMENT_LIB_VERSION "5.9.3")
ecm_setup_version(PROJECT VARIABLE_PREFIX AKONADICALENDAR
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/akonadi-calendar_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5AkonadiCalendarConfigVersion.cmake"
                        SOVERSION 5
)

configure_file(akonadi-calendar-version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/src/akonadi-calendar-version.h @ONLY)

if(BUILD_TESTING)
   add_definitions(-DBUILD_TESTING)
endif()

########### Find packages ###########
find_package(KF5KIO ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Wallet ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Codecs ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5IconThemes ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5DBusAddons ${KF5_VERSION} CONFIG REQUIRED)

find_package(KF5MailTransportAkonadi ${MAILTRANSPORT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Contacts ${KCONTACTS_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5IdentityManagement ${IDENTITYMANAGEMENT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5CalendarCore ${CALENDARCORE_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5CalendarUtils ${CALENDARUTILS_LIB_VERSION} CONFIG REQUIRED)

find_package(KF5Akonadi ${AKONADI_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5AkonadiContact ${AKONADICONTACT_LIB_VERSION} CONFIG REQUIRED)

########### Targets ###########

add_definitions("-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII")
add_definitions(-DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT)
add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
#add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)

add_subdirectory(src)
add_subdirectory(serializers)
if (BUILD_TESTING)
    add_subdirectory(autotests)
endif ()

########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5AkonadiCalendar")

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5AkonadiCalendarConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5AkonadiCalendarConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5AkonadiCalendarConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5AkonadiCalendarConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF5AkonadiCalendarTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5AkonadiCalendarTargets.cmake NAMESPACE KF5::)

install(FILES
   ${CMAKE_CURRENT_BINARY_DIR}/akonadi-calendar_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel
)
install( FILES akonadi-calendar.renamecategories akonadi-calendar.categories DESTINATION ${KDE_INSTALL_CONFDIR} )
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

ki18n_install(po)

=== debian/changelog ===
akonadi-calendar (4:18.08.3-1+rb2) UNRELEASED; urgency=medium

  * update

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 22 Jan 2021 12:33:33 +0800

akonadi-calendar (4:18.08.3-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (18.08.3).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.3.0 (No changes needed).
  * Removed acc autopkgtest.
  * Removed testsuite autopkgtest.

 -- Sandro Knauß <hefee@debian.org>  Mon, 04 Feb 2019 16:00:43 +0100

=== debian/control ===
--- 
+++ 
@@ -6,23 +6,23 @@
 Build-Depends: cmake (>= 3.0~),
                debhelper (>= 11),
                extra-cmake-modules (>= 5.47.0~),
-               libkf5akonadi-dev (>= 4:18.08.1~),
-               libkf5akonadicontact-dev (>= 4:18.08.1~),
-               libkf5calendarcore-dev (>= 4:18.08.1~),
-               libkf5calendarutils-dev (>= 4:18.08.1~),
+               libkf5akonadi-dev (>= 4:18.08.3~),
+               libkf5akonadicontact-dev (>= 4:18.08.3~),
+               libkf5calendarcore-dev (>= 4:18.08.3~),
+               libkf5calendarutils-dev (>= 4:18.08.3~),
                libkf5codecs-dev (>= 5.47.0~),
-               libkf5contacts-dev (>= 4:18.08.1~),
+               libkf5contacts-dev (>= 4:18.08.3~),
                libkf5dbusaddons-dev (>= 5.47.0~),
                libkf5iconthemes-dev (>= 5.47.0~),
-               libkf5identitymanagement-dev (>= 18.08.1~),
+               libkf5identitymanagement-dev (>= 18.08.3~),
                libkf5kio-dev (>= 5.47.0~),
-               libkf5mailtransport-dev (>= 18.08.1~),
+               libkf5mailtransport-dev (>= 18.08.3~),
                libkf5wallet-dev (>= 5.47.0~),
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.9.0~),
                xauth,
                xvfb,
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: https://projects.kde.org/projects/kde/pim/akonadi-calendar
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/akonadi-calendar
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/akonadi-calendar.git
@@ -45,10 +45,10 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:18.08.1~),
+Depends: libkf5akonadi-dev (>= 4:18.08.3~),
          libkf5akonadicalendar5abi1 (= ${binary:Version}),
-         libkf5akonadicontact-dev (>= 4:18.08.1~),
-         libkf5calendarcore-dev (>= 4:18.08.1~),
+         libkf5akonadicontact-dev (>= 4:18.08.3~),
+         libkf5calendarcore-dev (>= 4:18.08.3~),
          ${misc:Depends},
 Description: akonadi-calendar - development files
  This library offers helper functions to integrate the use of Akonadi calendar

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:16.04.3-9~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_strip:
	$(overridden_command) --dbgsym-migration='libkf5akonadicalendar-dbg (<= 15.12.0-1~~)'

override_dh_auto_test:
	- xvfb-run --\
	           dh_auto_test

## akonadi-calendar 18.12.3

=== debian/changelog ===
akonadi-calendar (4:18.12.3-0ubuntu2) disco; urgency=medium

  * No-change rebuild for fixed akonadi server.

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 07 Apr 2019 17:43:35 +0100

akonadi-calendar (4:18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 16 Mar 2019 15:03:21 +0000

akonadi-calendar (4:18.04.3-0ubuntu2) disco; urgency=medium

  * Follow Debian dropping of autotests.

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 06 Feb 2019 20:10:54 +0000

=== debian/control ===
Source: akonadi-calendar
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libkf5akonadi-dev (>= 4:18.12.3~),
               libkf5akonadicontact-dev (>= 4:18.12.3~),
               libkf5calendarcore-dev (>= 4:18.12.3~),
               libkf5calendarutils-dev (>= 4:18.12.3~),
               libkf5codecs-dev (>= 5.31.0~),
               libkf5contacteditor-dev (>= 4:18.12.3~),
               libkf5contacts-dev (>= 4:18.12.3~),
               libkf5identitymanagement-dev (>= 18.12.3~),
               libkf5kdelibs4support-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5mailtransport-dev (>= 18.12.3~),
               libkf5wallet-dev (>= 5.31.0~),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.6.1~),
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/pim/akonadi-calendar
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-calendar
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-calendar

Package: libkf5akonadicalendar-dev
Section: libdevel
Architecture: any
Depends: libkf5akonadi-dev (>= 4:18.12.3~),
         libkf5akonadicalendar5abi2 (= ${binary:Version}),
         libkf5akonadicontact-dev (>= 4:18.12.3~),
         libkf5calendarcore-dev (>= 4:18.12.3~),
         ${misc:Depends},
Description: akonadi-calendar - development files
 This library offers helper functions to integrate the use of Akonadi calendar
 items in applications.
 .
 This package contains the development files.

Package: libkf5akonadicalendar5abi2
X-Debian-ABI: 2
X-CMake-Target: KF5AkonadiCalendar
Architecture: any
Multi-Arch: same
Depends: libkf5akonadicalendar-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: kdepim-runtime (<< 4:18.03.70~),
Replaces: kdepim-runtime (<< 4:18.03.70~)
Description: library providing calendar helpers for Akonadi items
 This library offers helper functions to integrate the use of Akonadi calendar
 items in applications.

Package: libkf5akonadicalendar-data
Architecture: all
Multi-Arch: foreign
Breaks: kdepim-runtime (<< 4:18.03.70~), ${kde-l10n:all}
Replaces: kdepim-runtime (<< 4:18.03.70~), ${kde-l10n:all}
Depends: ${misc:Depends}
Description: library providing calendar helpers for Akonadi items - data files
 This library offers helper functions to integrate the use of Akonadi calendar
 items in applications.

## akonadi-calendar 19.04.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,34 +1,34 @@
-cmake_minimum_required(VERSION 3.0)
+cmake_minimum_required(VERSION 3.5)
 
-set(PIM_VERSION "5.9.3")
+set(PIM_VERSION "5.11.3")
 project(Akonadi-Calendar  VERSION ${PIM_VERSION})
 
 # ECM setup
-set(KF5_VERSION "5.47.0")
-find_package(ECM ${KF5_VERSION} CONFIG REQUIRED)
+set(KF5_MIN_VERSION "5.56.0")
+find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 
 include(GenerateExportHeader)
 include(ECMGenerateHeaders)
 include(ECMGeneratePriFile)
-include(CMakePackageConfigHelpers)
+
 include(ECMSetupVersion)
 include(FeatureSummary)
 include(KDEInstallDirs)
 include(KDECMakeSettings)
 include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
 include(ECMQtDeclareLoggingCategory)
-include(ECMCoverageOption)
+
 
 
 set(AKONADICALENDAR_LIB_VERSION ${PIM_VERSION})
-set(CALENDARCORE_LIB_VERSION "5.9.3")
-set(AKONADICONTACT_LIB_VERSION "5.9.3")
-set(AKONADI_LIB_VERSION "5.9.3")
-set(MAILTRANSPORT_LIB_VERSION "5.9.3")
-set(KCONTACTS_LIB_VERSION "5.9.3")
-set(CALENDARUTILS_LIB_VERSION "5.9.3")
-set(IDENTITYMANAGEMENT_LIB_VERSION "5.9.3")
+set(CALENDARCORE_LIB_VERSION "5.11.3")
+set(AKONADICONTACT_LIB_VERSION "5.11.3")
+set(AKONADI_LIB_VERSION "5.11.3")
+set(MAILTRANSPORT_LIB_VERSION "5.11.3")
+set(KCONTACTS_LIB_VERSION "5.11.3")
+set(CALENDARUTILS_LIB_VERSION "5.11.3")
+set(IDENTITYMANAGEMENT_LIB_VERSION "5.11.3")
 ecm_setup_version(PROJECT VARIABLE_PREFIX AKONADICALENDAR
                         VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/akonadi-calendar_version.h"
                         PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5AkonadiCalendarConfigVersion.cmake"
@@ -42,14 +42,15 @@
 endif()
 
 ########### Find packages ###########
-find_package(KF5KIO ${KF5_VERSION} CONFIG REQUIRED)
-find_package(KF5Wallet ${KF5_VERSION} CONFIG REQUIRED)
-find_package(KF5Codecs ${KF5_VERSION} CONFIG REQUIRED)
-find_package(KF5IconThemes ${KF5_VERSION} CONFIG REQUIRED)
-find_package(KF5DBusAddons ${KF5_VERSION} CONFIG REQUIRED)
+find_package(KF5I18n ${KF5_MIN_VERSION} CONFIG REQUIRED)
+find_package(KF5WidgetsAddons ${KF5_MIN_VERSION} CONFIG REQUIRED)
+find_package(KF5XmlGui ${KF5_MIN_VERSION} CONFIG REQUIRED)
+find_package(KF5KIO ${KF5_MIN_VERSION} CONFIG REQUIRED)
+find_package(KF5Codecs ${KF5_MIN_VERSION} CONFIG REQUIRED)
+find_package(KF5IconThemes ${KF5_MIN_VERSION} CONFIG REQUIRED)
+find_package(KF5DBusAddons ${KF5_MIN_VERSION} CONFIG REQUIRED)
 
 find_package(KF5MailTransportAkonadi ${MAILTRANSPORT_LIB_VERSION} CONFIG REQUIRED)
-find_package(KF5Contacts ${KCONTACTS_LIB_VERSION} CONFIG REQUIRED)
 find_package(KF5IdentityManagement ${IDENTITYMANAGEMENT_LIB_VERSION} CONFIG REQUIRED)
 find_package(KF5CalendarCore ${CALENDARCORE_LIB_VERSION} CONFIG REQUIRED)
 find_package(KF5CalendarUtils ${CALENDARUTILS_LIB_VERSION} CONFIG REQUIRED)
@@ -59,10 +60,13 @@
 
 ########### Targets ###########
 
-add_definitions("-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII")
-add_definitions(-DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT)
-add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
-#add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
+
+# workaround for https://bugreports.qt.io/browse/QTBUG-74665 (bug in qt5.13 reevaluate it)
+if (${Qt5Widgets_VERSION} STRGREATER "5.13")
+   MESSAGE(STATUS "Qt version: ${Qt5Widgets_VERSION} DISABLE compile without deprecated methods. bug QTBUG-74665")
+else()
+   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
+endif()
 
 add_subdirectory(src)
 add_subdirectory(serializers)

=== debian/changelog ===
akonadi-calendar (4:19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 23 Jul 2019 18:52:55 +0100

=== debian/control ===
--- 
+++ 
@@ -6,17 +6,17 @@
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
                extra-cmake-modules (>= 5.31.0~),
-               libkf5akonadi-dev (>= 4:18.12.3~),
-               libkf5akonadicontact-dev (>= 4:18.12.3~),
-               libkf5calendarcore-dev (>= 4:18.12.3~),
-               libkf5calendarutils-dev (>= 4:18.12.3~),
+               libkf5akonadi-dev (>= 4:19.04.3~),
+               libkf5akonadicontact-dev (>= 4:19.04.3~),
+               libkf5calendarcore-dev (>= 4:19.04.3~),
+               libkf5calendarutils-dev (>= 4:19.04.3~),
                libkf5codecs-dev (>= 5.31.0~),
-               libkf5contacteditor-dev (>= 4:18.12.3~),
-               libkf5contacts-dev (>= 4:18.12.3~),
-               libkf5identitymanagement-dev (>= 18.12.3~),
+               libkf5contacteditor-dev (>= 4:19.04.3~),
+               libkf5contacts-dev (>= 4:19.04.3~),
+               libkf5identitymanagement-dev (>= 19.04.3~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
                libkf5kio-dev (>= 5.31.0~),
-               libkf5mailtransport-dev (>= 18.12.3~),
+               libkf5mailtransport-dev (>= 19.04.3~),
                libkf5wallet-dev (>= 5.31.0~),
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.6.1~),
@@ -28,10 +28,10 @@
 Package: libkf5akonadicalendar-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5akonadi-dev (>= 4:18.12.3~),
+Depends: libkf5akonadi-dev (>= 4:19.04.3~),
          libkf5akonadicalendar5abi2 (= ${binary:Version}),
-         libkf5akonadicontact-dev (>= 4:18.12.3~),
-         libkf5calendarcore-dev (>= 4:18.12.3~),
+         libkf5akonadicontact-dev (>= 4:19.04.3~),
+         libkf5calendarcore-dev (>= 4:19.04.3~),
          ${misc:Depends},
 Description: akonadi-calendar - development files
  This library offers helper functions to integrate the use of Akonadi calendar

## akonadi-calendar 19.08.3

=== debian/changelog ===
akonadi-calendar (4:19.08.3-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (19.08.3).
  * Update build-deps and deps with the info from cmake.

 -- Sandro Knauß <hefee@debian.org>  Sat, 30 Nov 2019 22:55:20 +0100

akonadi-calendar (4:19.08.2-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (19.08.2).
  * Update build-deps and deps with the info from cmake.
  * Remove breaks against kde-l10n packages.
  * Update install files for new upstream release.

 -- Sandro Knauß <hefee@debian.org>  Fri, 08 Nov 2019 10:40:43 +0100

akonadi-calendar (4:18.08.3-3) unstable; urgency=medium

  * Release to unstable.

 -- Sandro Knauß <hefee@debian.org>  Thu, 14 Nov 2019 23:50:29 +0100

akonadi-calendar (4:18.08.3-2) experimental; urgency=medium

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.4.1 (No changes needed).
  * Bump compat level to 12.
  * Add myself to Uploaders.
  * Delete not needed Breaks/Confilcts.
  * Use virtual packages to bundle KDEPIM.
  * Enforce depdendencies between KDEPIM packages to enable bundling.

 -- Sandro Knauß <hefee@debian.org>  Sun, 06 Oct 2019 22:41:48 +0200

=== debian/control ===
Source: akonadi-calendar
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>, Sandro Knauß <hefee@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 12),
               extra-cmake-modules (>= 5.60.0~),
               libkf5akonadi-dev (>= 4:19.08.3~),
               libkf5akonadicontact-dev (>= 4:19.08.3~),
               libkf5calendarcore-dev (>= 4:19.08.3~),
               libkf5calendarutils-dev (>= 4:19.08.3~),
               libkf5codecs-dev (>= 5.60.0~),
               libkf5contacts-dev (>> 4:18.08.3-1),
               libkf5dbusaddons-dev (>= 5.60.0~),
               libkf5i18n-dev (>= 5.60.0~),
               libkf5iconthemes-dev (>= 5.60.0~),
               libkf5identitymanagement-dev (>= 19.08.3~),
               libkf5kio-dev (>= 5.60.0~),
               libkf5mailtransport-dev (>= 19.08.3~),
               libkf5wallet-dev (>= 5.47.0~),
               libkf5widgetsaddons-dev (>= 5.60.0~),
               libkf5xmlgui-dev (>= 5.60.0~),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.9.0~),
               xauth,
               xvfb
Standards-Version: 4.4.1
Homepage: https://projects.kde.org/projects/kde/pim/akonadi-calendar
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/akonadi-calendar
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/akonadi-calendar.git

Package: libkf5akonadicalendar-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: data files for akonadi-calendar
 This library offers helper functions to integrate the use of Akonadi calendar
 items in applications.
 .
 This package contains shared data files.

Package: libkf5akonadicalendar-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:19.08.3~),
         libkf5akonadicalendar5abi1 (= ${binary:Version}),
         libkf5akonadicontact-dev (>= 4:19.08.3~),
         libkf5calendarcore-dev (>= 4:19.08.3~),
         ${misc:Depends}
Description: akonadi-calendar - development files
 This library offers helper functions to integrate the use of Akonadi calendar
 items in applications.
 .
 This package contains the development files.

Package: libkf5akonadicalendar5abi1
X-Debian-ABI: 1
X-CMake-Target: KF5AkonadiCalendar
Architecture: any
Multi-Arch: same
Depends: libkf5akonadicalendar-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: library providing calendar helpers for Akonadi items
 This library offers helper functions to integrate the use of Akonadi calendar
 items in applications.
Provides: ${ABI:VirtualPackage}

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

AbiVirtualPackageVersion = $(call dpkg_late_eval,AbiVirtualPackageVersion,echo '${DEB_VERSION_UPSTREAM}' | sed -e 's/\.[0-9]\+$$//')
pkgs_lib = $(filter-out %-dev %-doc %-dbg %-data %-bin %-plugins,$(filter lib%,$(shell dh_listpackages)))

override_dh_makeshlibs:
	for pkg in $(pkgs_lib); do \
		name=$$( echo "$${pkg}" | sed -e 's/abi[0-9]\+\s*//'); \
		echo "ABI:VirtualPackage=$${name}-${AbiVirtualPackageVersion}" >> debian/$${pkg}.substvars; \
		$(overridden_command) -p$${pkg} -V "$${pkg} (>= $(DEB_VERSION_EPOCH_UPSTREAM)), $${name}-${AbiVirtualPackageVersion}"; \
	done

override_dh_strip:
	$(overridden_command) --dbgsym-migration='libkf5akonadicalendar-dbg (<= 15.12.0-1~~)'

override_dh_auto_test:
	- xvfb-run --\
	           dh_auto_test

## akonadi-calendar 19.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,17 @@
 cmake_minimum_required(VERSION 3.5)
 
-set(PIM_VERSION "5.11.3")
+set(PIM_VERSION "5.13.3")
 project(Akonadi-Calendar  VERSION ${PIM_VERSION})
 
 # ECM setup
-set(KF5_MIN_VERSION "5.56.0")
+set(KF5_MIN_VERSION "5.63.0")
 find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
+set(QT_REQUIRED_VERSION "5.11.0")
+
+include(KDEInstallDirs)
+include(KDECMakeSettings)
+include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
 
 include(GenerateExportHeader)
 include(ECMGenerateHeaders)
@@ -14,21 +19,16 @@
 
 include(ECMSetupVersion)
 include(FeatureSummary)
-include(KDEInstallDirs)
-include(KDECMakeSettings)
-include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
 include(ECMQtDeclareLoggingCategory)
 
 
 
 set(AKONADICALENDAR_LIB_VERSION ${PIM_VERSION})
-set(CALENDARCORE_LIB_VERSION "5.11.3")
-set(AKONADICONTACT_LIB_VERSION "5.11.3")
-set(AKONADI_LIB_VERSION "5.11.3")
-set(MAILTRANSPORT_LIB_VERSION "5.11.3")
-set(KCONTACTS_LIB_VERSION "5.11.3")
-set(CALENDARUTILS_LIB_VERSION "5.11.3")
-set(IDENTITYMANAGEMENT_LIB_VERSION "5.11.3")
+set(AKONADICONTACT_LIB_VERSION "5.13.3")
+set(AKONADI_LIB_VERSION "5.13.3")
+set(MAILTRANSPORT_LIB_VERSION "5.13.3")
+set(CALENDARUTILS_LIB_VERSION "5.13.3")
+set(IDENTITYMANAGEMENT_LIB_VERSION "5.13.3")
 ecm_setup_version(PROJECT VARIABLE_PREFIX AKONADICALENDAR
                         VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/akonadi-calendar_version.h"
                         PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5AkonadiCalendarConfigVersion.cmake"
@@ -47,12 +47,11 @@
 find_package(KF5XmlGui ${KF5_MIN_VERSION} CONFIG REQUIRED)
 find_package(KF5KIO ${KF5_MIN_VERSION} CONFIG REQUIRED)
 find_package(KF5Codecs ${KF5_MIN_VERSION} CONFIG REQUIRED)
-find_package(KF5IconThemes ${KF5_MIN_VERSION} CONFIG REQUIRED)
 find_package(KF5DBusAddons ${KF5_MIN_VERSION} CONFIG REQUIRED)
 
 find_package(KF5MailTransportAkonadi ${MAILTRANSPORT_LIB_VERSION} CONFIG REQUIRED)
 find_package(KF5IdentityManagement ${IDENTITYMANAGEMENT_LIB_VERSION} CONFIG REQUIRED)
-find_package(KF5CalendarCore ${CALENDARCORE_LIB_VERSION} CONFIG REQUIRED)
+find_package(KF5CalendarCore ${KF5_MIN_VERSION} CONFIG REQUIRED)
 find_package(KF5CalendarUtils ${CALENDARUTILS_LIB_VERSION} CONFIG REQUIRED)
 
 find_package(KF5Akonadi ${AKONADI_LIB_VERSION} CONFIG REQUIRED)
@@ -61,12 +60,12 @@
 ########### Targets ###########
 
 
-# workaround for https://bugreports.qt.io/browse/QTBUG-74665 (bug in qt5.13 reevaluate it)
-if (${Qt5Widgets_VERSION} STRGREATER "5.13")
-   MESSAGE(STATUS "Qt version: ${Qt5Widgets_VERSION} DISABLE compile without deprecated methods. bug QTBUG-74665")
-else()
-   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
+if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
+   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050e00)
+   add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054000)
 endif()
+
+add_definitions(-DQT_NO_FOREACH)
 
 add_subdirectory(src)
 add_subdirectory(serializers)
@@ -96,7 +95,7 @@
    ${CMAKE_CURRENT_BINARY_DIR}/akonadi-calendar_version.h
   DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel
 )
-install( FILES akonadi-calendar.renamecategories akonadi-calendar.categories DESTINATION ${KDE_INSTALL_CONFDIR} )
+install(FILES akonadi-calendar.renamecategories akonadi-calendar.categories  DESTINATION  ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
 ki18n_install(po)

=== serializers/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"libakonadi-calendar5-serializer\")

include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
)

set(akonadi_serializer_kcalcore_SRCS
    akonadi_serializer_kcalcore.cpp
)
ecm_qt_declare_logging_category(akonadi_serializer_kcalcore_SRCS HEADER serializer_debug.h IDENTIFIER AKONADI_SERIALIZER_CALENDAR_LOG CATEGORY_NAME org.kde.pim.calendar_serializer)

add_library(akonadi_serializer_kcalcore MODULE ${akonadi_serializer_kcalcore_SRCS})
target_link_libraries(akonadi_serializer_kcalcore
    KF5::CalendarUtils
    KF5::CalendarCore
    KF5::AkonadiCore
    KF5::I18n
)
install(TARGETS akonadi_serializer_kcalcore
    DESTINATION ${KDE_INSTALL_PLUGINDIR}
)
install(FILES akonadi_serializer_kcalcore.desktop
    DESTINATION ${KDE_INSTALL_DATADIR}/akonadi/plugins/serializer
)

=== src/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"libakonadi-calendar5\")


set(akonadicalendar_LIB_SRC
  blockalarmsattribute.cpp
  calendarbase.cpp
  calendarclipboard.cpp
  calendarmodel.cpp
  calfilterproxymodel_p.cpp
  etmcalendar.cpp
  history.cpp
  history_p.cpp
  icalimporter.cpp
  incidencefetchjob_p.cpp
  incidencechanger.cpp
  incidencechanger_p.cpp
  itiphandler.cpp
  itiphandler_p.cpp
  itiphandlerhelper_p.cpp
  kcolumnfilterproxymodel.cpp
  fetchjobcalendar.cpp
  freebusydownloadjob_p.cpp
  freebusymanager.cpp
  freebusyproviderbase.cpp
  mailclient_p.cpp
  mailscheduler_p.cpp
  publishdialog.cpp
  publishdialog_p.cpp
  scheduler_p.cpp
  standardcalendaractionmanager.cpp
  todopurger.cpp
  utils_p.cpp
  calfilterpartstatusproxymodel_p.cpp
)

ecm_qt_declare_logging_category(akonadicalendar_LIB_SRC HEADER akonadicalendar_debug.h IDENTIFIER AKONADICALENDAR_LOG CATEGORY_NAME org.kde.pim.akonadicalendar)

kconfig_add_kcfg_files(akonadicalendar_LIB_SRC calendarsettings.kcfgc)
ki18n_wrap_ui(akonadicalendar_LIB_SRC publishdialog_base.ui)

qt5_add_dbus_adaptor( akonadicalendar_LIB_SRC interfaces/org.freedesktop.Akonadi.Resource.FreeBusyProvider.xml freebusyproviderbase_p.h Akonadi::FreeBusyProviderBasePrivate freebusyprovideradaptor  Akonadi__FreeBusyProviderAdaptor )
add_library(KF5AkonadiCalendar ${akonadicalendar_LIB_SRC})

generate_export_header(KF5AkonadiCalendar BASE_NAME akonadi-calendar)

add_library(KF5::AkonadiCalendar ALIAS KF5AkonadiCalendar)

target_include_directories(KF5AkonadiCalendar INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/Akonadi/Calendar;${KF5_INCLUDE_INSTALL_DIR}/akonadi/calendar>")
target_include_directories(KF5AkonadiCalendar PUBLIC "$<BUILD_INTERFACE:${Akonadi-Calendar_SOURCE_DIR}/src;${Akonadi-Calendar_BINARY_DIR}/src>")

target_link_libraries(KF5AkonadiCalendar
PUBLIC
    KF5::AkonadiCore
    KF5::CalendarCore
    KF5::WidgetsAddons
    KF5::I18n
PRIVATE
    KF5::Codecs
    KF5::KIOWidgets
    KF5::XmlGui
    KF5::AkonadiContact
    KF5::CalendarUtils
    KF5::AkonadiWidgets
    KF5::MailTransportAkonadi
    KF5::IdentityManagement
    KF5::Codecs
    KF5::DBusAddons
)

set_target_properties(KF5AkonadiCalendar PROPERTIES
    VERSION ${AKONADICALENDAR_VERSION_STRING}
    SOVERSION ${AKONADICALENDAR_SOVERSION}
    EXPORT_NAME AkonadiCalendar
)

ecm_generate_pri_file(BASE_NAME AkonadiCalendar
    LIB_NAME KF5AkonadiCalendar
    DEPS "AkonadiCore CalendarCore" FILENAME_VAR PRI_FILENAME
)

install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

install(TARGETS
    KF5AkonadiCalendar
    EXPORT KF5AkonadiCalendarTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS}
)

ecm_generate_headers(AkonadiCalendar_CamelCase_HEADERS
  HEADER_NAMES
  BlockAlarmsAttribute
  CalendarBase
  CalendarClipboard
  ETMCalendar
  FetchJobCalendar
  FreeBusyManager
  FreeBusyProviderBase
  History
  ICalImporter
  IncidenceChanger
  ITIPHandler
  PublishDialog
  StandardCalendarActionManager
  TodoPurger
  REQUIRED_HEADERS AkonadiCalendar_HEADERS
  PREFIX Akonadi/Calendar
)

install( FILES
  ${AkonadiCalendar_CamelCase_HEADERS}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/Akonadi/Calendar COMPONENT Devel
)
install( FILES
  ${CMAKE_CURRENT_BINARY_DIR}/akonadi-calendar_export.h
  ${AkonadiCalendar_HEADERS}
  ${CMAKE_CURRENT_BINARY_DIR}/calendarsettings.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/akonadi/calendar COMPONENT Devel
)

=== debian/changelog ===
akonadi-calendar (4:19.12.3-0ubuntu1) focal; urgency=medium

  * Move qdebug categories files to new location.
  * New upstream release (19.12.3)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Apr 2020 13:55:59 +0100

akonadi-calendar (4:19.04.3-0ubuntu2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 19:15:16 +0100

=== debian/control ===
Source: akonadi-calendar
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libkf5akonadi-dev (>= 4:19.12.3~),
               libkf5akonadicontact-dev (>= 4:19.12.3~),
               libkf5calendarcore-dev (>= 4:19.08.3~),
               libkf5calendarutils-dev (>= 4:19.12.3~),
               libkf5codecs-dev (>= 5.31.0~),
               libkf5contacteditor-dev (>= 4:19.12.3~),
               libkf5contacts-dev (>= 4:19.08.3~),
               libkf5identitymanagement-dev (>= 19.12.3~),
               libkf5kdelibs4support-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5mailtransport-dev (>= 19.12.3~),
               libkf5wallet-dev (>= 5.31.0~),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.6.1~),
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/pim/akonadi-calendar
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-calendar
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-calendar

Package: libkf5akonadicalendar-data
Architecture: all
Multi-Arch: foreign
Breaks: kdepim-runtime (<< 4:18.03.70~), ${kde-l10n:all}
Replaces: kdepim-runtime (<< 4:18.03.70~), ${kde-l10n:all}
Depends: ${misc:Depends}
Description: library providing calendar helpers for Akonadi items - data files
 This library offers helper functions to integrate the use of Akonadi calendar
 items in applications.

Package: libkf5akonadicalendar-dev
Section: libdevel
Architecture: any
Depends: libkf5akonadi-dev (>= 4:19.12.3~),
         libkf5akonadicalendar5abi2 (= ${binary:Version}),
         libkf5akonadicontact-dev (>= 4:19.12.3~),
         libkf5calendarcore-dev (>= 4:19.08.3~),
         ${misc:Depends},
Description: akonadi-calendar - development files
 This library offers helper functions to integrate the use of Akonadi calendar
 items in applications.
 .
 This package contains the development files.

Package: libkf5akonadicalendar5abi2
X-Debian-ABI: 2
X-CMake-Target: KF5AkonadiCalendar
Architecture: any
Multi-Arch: same
Depends: libkf5akonadicalendar-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: kdepim-runtime (<< 4:18.03.70~)
Replaces: kdepim-runtime (<< 4:18.03.70~)
Description: library providing calendar helpers for Akonadi items
 This library offers helper functions to integrate the use of Akonadi calendar
 items in applications.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:17.03.90-0~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_strip:
	$(overridden_command) --ddeb-migration='libkf5akonadicalendar-dbg (<= 15.12.0-1~~)'

override_dh_auto_test:
	# Disable auto test at build time, fakeroot breaks them
	:

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/akonadi-calendar-([\d.]+).tar.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/akonadi-calendar-([\d.]+).tar.xz

## akonadi-calendar 20.08.1

=== debian/changelog ===
akonadi-calendar (4:20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 13:47:05 +0100

akonadi-calendar (4:20.08.0-0ubuntu2) groovy; urgency=medium

  * Update symbols for riscv64.

 -- Rik Mills <rikmills@kde.org>  Thu, 27 Aug 2020 08:02:31 +0100

akonadi-calendar (4:20.08.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Wed, 26 Aug 2020 12:18:26 +0100

=== debian/control ===
--- 
+++ 
@@ -6,17 +6,17 @@
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
                extra-cmake-modules (>= 5.31.0~),
-               libkf5akonadi-dev (>= 4:19.12.3~),
-               libkf5akonadicontact-dev (>= 4:19.12.3~),
+               libkf5akonadi-dev (>= 4:20.08.1~),
+               libkf5akonadicontact-dev (>= 4:20.08.1~),
                libkf5calendarcore-dev (>= 4:19.08.3~),
-               libkf5calendarutils-dev (>= 4:19.12.3~),
+               libkf5calendarutils-dev (>= 4:20.08.1~),
                libkf5codecs-dev (>= 5.31.0~),
-               libkf5contacteditor-dev (>= 4:19.12.3~),
+               libkf5contacteditor-dev (>= 4:20.08.1~),
                libkf5contacts-dev (>= 4:19.08.3~),
-               libkf5identitymanagement-dev (>= 19.12.3~),
+               libkf5identitymanagement-dev (>= 20.08.1~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
                libkf5kio-dev (>= 5.31.0~),
-               libkf5mailtransport-dev (>= 19.12.3~),
+               libkf5mailtransport-dev (>= 20.08.1~),
                libkf5wallet-dev (>= 5.31.0~),
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.6.1~),
@@ -38,9 +38,9 @@
 Package: libkf5akonadicalendar-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5akonadi-dev (>= 4:19.12.3~),
+Depends: libkf5akonadi-dev (>= 4:20.08.1~),
          libkf5akonadicalendar5abi2 (= ${binary:Version}),
-         libkf5akonadicontact-dev (>= 4:19.12.3~),
+         libkf5akonadicontact-dev (>= 4:20.08.1~),
          libkf5calendarcore-dev (>= 4:19.08.3~),
          ${misc:Depends},
 Description: akonadi-calendar - development files

## akonadi-calendar 20.08.2

=== debian/changelog ===
akonadi-calendar (4:20.08.2-2) unstable; urgency=medium

  * Team upload to unstable.

 -- Sandro Knauß <hefee@debian.org>  Tue, 20 Oct 2020 00:08:47 +0200

akonadi-calendar (4:20.08.2-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (20.08.2).
  * Update build-deps and deps with the info from cmake.
  * Update Homepage link to point to new invent.kde.org
  * Update field Source in debian/copyright to invent.kde.org move.
  * Update repository related entries to metadata file.

 -- Sandro Knauß <hefee@debian.org>  Fri, 16 Oct 2020 00:52:52 +0200

akonadi-calendar (4:20.04.1-2) unstable; urgency=medium

  * Team upload.
  * Explicitly add the gettext build dependency.
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5 addon
    - call the right debhelper command instead of $(overridden_command)
  * Unregister the old /etc/xdg/akonadi-calendar.categories, and
    /etc/xdg/akonadi-calendar.renamecategories conffiles.
  * Change an internal hostname of an old Ubuntu changelog entry to
    ubuntu@ubuntu.com to avoid lintian issues.
  * Remove the unused ${shlibs:Depends} substvar from
    libkf5akonadicalendar-data.

 -- Pino Toscano <pino@debian.org>  Fri, 28 Aug 2020 07:27:12 +0200

akonadi-calendar (4:20.04.1-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (20.04.1).
  * Update build-deps and deps with the info from cmake.
  * Update patch hunks.
  * Remove not needed Build-Depends.

 -- Sandro Knauß <hefee@debian.org>  Wed, 27 May 2020 00:00:13 +0200

akonadi-calendar (4:20.04.0-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * Update watch file to the new release-service location.
  * Bump compat level to 13.
  * Bump Standards-Version to 4.5.0 (No changes needed).
  * Get rid of debug-symbol-migration package.
  * Add Rules-Requires-Root field to control.
  * New upstream release (20.04.0).
  * Update build-deps and deps with the info from cmake.
  * Enable hardening all.
  * Wrap long lines in changelog entries: 16.04.1-1.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

 -- Sandro Knauß <hefee@debian.org>  Wed, 13 May 2020 12:22:54 +0200

=== debian/control ===
Source: akonadi-calendar
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>, Sandro Knauß <hefee@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.71.0~),
               gettext,
               libkf5akonadi-dev (>= 4:20.08.2~),
               libkf5akonadicontact-dev (>= 4:20.08.2~),
               libkf5calendarcore-dev (>= 5:5.71.0~),
               libkf5calendarutils-dev (>= 4:20.08.2~),
               libkf5codecs-dev (>= 5.71.0~),
               libkf5i18n-dev (>= 5.71.0~),
               libkf5identitymanagement-dev (>= 20.08.2~),
               libkf5kio-dev (>= 5.71.0~),
               libkf5mailtransport-dev (>= 20.08.2~),
               libkf5widgetsaddons-dev (>= 5.71.0~),
               libkf5xmlgui-dev (>= 5.71.0~),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.13.0~),
               xauth,
               xvfb,
Standards-Version: 4.5.0
Homepage: https://invent.kde.org/pim/akonadi-calendar
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/akonadi-calendar
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/akonadi-calendar.git
Rules-Requires-Root: no

Package: libkf5akonadicalendar-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: data files for akonadi-calendar
 This library offers helper functions to integrate the use of Akonadi calendar
 items in applications.
 .
 This package contains shared data files.

Package: libkf5akonadicalendar-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:20.08.2~),
         libkf5akonadicalendar5abi1 (= ${binary:Version}),
         libkf5akonadicontact-dev (>= 4:20.08.2~),
         libkf5calendarcore-dev (>= 5:5.71.0~),
         ${misc:Depends},
Description: akonadi-calendar - development files
 This library offers helper functions to integrate the use of Akonadi calendar
 items in applications.
 .
 This package contains the development files.

Package: libkf5akonadicalendar5abi1
X-Debian-ABI: 1
X-CMake-Target: KF5AkonadiCalendar
Architecture: any
Multi-Arch: same
Depends: libkf5akonadicalendar-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library providing calendar helpers for Akonadi items
 This library offers helper functions to integrate the use of Akonadi calendar
 items in applications.
Provides: ${ABI:VirtualPackage}
